CALL spQuery_Asignacion_Repartidor(1);

DROP PROCEDURE IF EXISTS spQuery_Asignacion_Repartidor;
CREATE PROCEDURE spQuery_Asignacion_Repartidor(
  varAsignacion int
  )
BEGIN
  select A.id_repartidor as CODIGO,
  concat(R.apellido_paterno, ' ', R.apellido_materno, ' ', R.nombre) AS REPARTIDOR, R.nro_documento as DNI, 
  A.monto AS COSTO, 1 AS DEL
  from _sv_asignacion_repartidor A
  inner join _sv_trabajador R ON A.id_repartidor = R.id_trabajador
  where A.id_asignacion = varAsignacion
  and A._estado = 'A'
  and R._estado = 'A';
END;